YAF-Splash(1)

NAME
YAF-splash - yet another fine text splash program for X

SYNOPSIS
yaf-splash [-toolkitoption ...] [-option ...]

DESCRIPTION
yaf-splash pops up a window of text, auto-sized and centered on the screen, that is dismissed when you click on it, rather like xmessage. Unlike xmessage, it lacks buttons and other window manager cruft, can appear transparent via the SHAPE extension, or overlays if your xserver supports them, and has a bunch of other configuration options to tart it up with. It also includes a clock with a countdown timer and a mirror mode to aid in back projection, just to round out the feature bloat. This program is the bastard grandson of xsplash and xdaliclock, by Jamie Zawinski, and xsublim, by Greg Knauss.

OPTIONS
yaf-splash accepts all of the standard toolkit options, and also accepts the following options:

-help
    Print a brief summary of the allowed options on the standard output.

-text string
    The text you want to display. Multi-line text is ok. The characters that will be displayed depend on the font you use.

-timeout seconds
    How long to leave the text on the screen before exiting. The default is 0, which means forever (until the window is clicked on or killed by other means).

-clock
    Enable the clock display instead of a text message.

-12 Use a twelve hour clock. This is the default.

-24 Use a twenty-four hour clock.

-seconds
    Update every second (default).

-noseconds
    Update once per minute; don't display seconds at all.

-countdown <date>
    Countdown to the specified date instead of displaying a clock. The argument to -countdown should be a time_t integer (number of seconds past "Jan 1 00:00:00 GMT 1970") or, a string of the form
    "Mmm DD HH:MM:SS YYYY",     for example, "Jan 1 00:00:00 2004". This
    string is interpreted in the local time zone. The countdown option implies -clock.

-countdownquit
    Quit after the countdown has reached zero, if in countdown mode (default).

-nocountdownquit
    Keep on counting back up once the countdown has reached zero, if in countdown mode.

-geometry metry
    Specifies the prefered size and position of the splash text.

-placement placement
    Specifies the placement of the splash text using one of the following strings: top-left, top, top-right, left, center, right, bottom-left, bottom, bottom-right. Specifying this setting overrides the position information given in the -geometry option. Center is the default.

-font fontname
    Specifies the X font to use.

-transparent
    Causes the background of the window to be transparent, if possible. If the server supports overlay planes, then they may be used (this is the case on SGIs, and on certain HP, DEC, and IBM systems.) If overlay planes are not available, but the server supports the Shape extension, then that will be used instead. If the Shape extension is used, you will probably need to configure your window manager to not put a titlebar on the yaf-splash window. If you don't do this, then the window will flicker constantly in clock mode, as the window manager tries to add and remove the titlebar each second. None of these problems occur if overlay planes are used (or if the -transparent option is not requested.)

-nontransparent
    Don't make the window's background be transparent. This is the default.

-mirror
    Flip the text about the vertical axis, so that it can be read in the mirror, or, more practically, when back-projecting.

-outline width
    Set's the (approximate) width of the text outline. Set to 0, no outline will be used, 1 and 2 look good, while more tends to reveal the weakness of the method used to render the outline. The default is 1. -margin width The amount of space between the text and the edges of the window. Default is 0, which is to use no margin.

The following standard X Toolkit command line arguments are commonly used with yaf-splash:

-display host:dpy
    This option specifies the X server to contact.

-bg color

-fg color
    These options specify the colours to use for the foreground and background of the window. The defaults are 'black' for the foreground and 'white' for the background, but a bit more explaination is necessary. When not using an outline, the text is the foreground colour and the rest is the background colour as you'd expect, but when using an outline, the outline is set to the foreground colour, and the text inside the outline is set to the background colour, as well as the background itself.

-bd color
    This option specifies the color to use for the border of the window. The default is black.

-bw number
    This option specifies the width in pixels of the border surrounding the window. Defaults to 2.

-xrm resourcestring
    This option specifies a resource string to be used.

COMMANDS
Clicking anywhere on the yaf-splash window will dismiss it. Note that the window is just the visble text when the -transparent option is requested and the SHAPE extension is used.

X RESOURCES
yaf-splash understands all of the core resource names and classes, and most of it's options can be used in an X resource context.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

TZ  to get the current time zone. If you want to force the clock to display some other time zone, set this variable before starting it. For example:
         sh:   TZ=GMT0 yaf-splash -clock
        csh:   ( setenv TZ PST8PDT ; yaf-splash -clock)
    Here's what the xdaliclock man page has to say about TZ:

"You may notice that the format of the TZ variable (which is used by the C library ctime(3) and localtime(3) routines) is not actually documented anywhere. The fourth character (the digit) is the only thing that really matters: it is the offset in hours from GMT. The first three characters are ignored. The last three characters are used to flag daylight savings time: their presence effectively adds 1 to the zone offset. (I am not making this up...)"

BUGS
The process of putting the window together flickers far too often for yaf-splash to be continually called to display lots of text (such as for subtitles or song lyrics). I don't know whether this can be fixed, but based on the level of distain for X out there, I doubt it. A mode to display lines with a delay between each might help. The correct default datemode should be extracted from the current locale. Should also support the ISO standard.

SEE ALSO
X(1), xrdb(1), xlsfonts(1), xmessage(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by John Morton. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. Copyright © 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2002 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. Copyright © 1999 by Greg fnord Knauss. Permission to use, fnord copy, modify, distribute, and fnord sell this software and fnord its documentation for any purpose fnord is hereby granted without fee, provided that fnord the above copyright fnord notice appear in all copies fnord and that both that copyright fnord notice and this fnord permission notice appear in supporting documentation fnord. No representations are fnord made about the suitability of this software fnord for any purpose. It is provided "fnord as is" without express or implied fnord warranty.

AUTHORS
John Morton <jwm@plain.co.nz>, 11-feb-03.

Jamie Zawinski <jwz@jwz.org>, 18-sep-91.

Greg Knauss <greg@eod.com>, 16-Jul-99.

Please let me know if you find any bugs or make any improvements.